#1681 closed defect (fixed)

sparc64 still using _CPU_Interrupt_stack_high in asm

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

With the percpu patch, ASM uses INTERRUPT_STACK_HIGH instead of _CPU_Interrupt_stack_high. The sparc64 was still using the old variable, which was declared in its cpu.h file.

I've attached a patch to comment out the declaration and switch to using INTERRUPT_STACK_HIGH. Since percpu is still an open PR, I'm also going to link this PR to it.

Attachments (1)

rtems-cvs.diff (1.5 KB) - added by Gedare Bloom on Aug 18, 2010 at 6:28:08 PM.
Patch.

Download all attachments as: .zip

Change History (6)

Changed on Aug 18, 2010 at 6:28:08 PM by Gedare Bloom

Attachment: rtems-cvs.diff added

Patch.

comment:1 Changed on Aug 18, 2010 at 6:28:21 PM by Gedare Bloom

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

comment:2 Changed on Aug 19, 2010 at 11:11:51 AM by Joel Sherrill

Component: libcpucpukit
Resolution: fixed
Status: newclosed

comment:3 Changed on Aug 19, 2010 at 2:10:49 PM by Gedare Bloom

Resolution: fixed
Status: closedreopened

comment:4 Changed on Aug 20, 2010 at 4:02:53 PM by Gedare Bloom

Resolution: fixed
Status: reopenedclosed

Looks good.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.